# Generated by Django 4.0.3 on 2024-05-03 11:42

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('ProjectAPP', '0011_remove_project_timespan'),
        ('Policies', '0022_checklisttask_delete_projectchecklisttask_and_more'),
    ]

    operations = [
        migrations.CreateModel(
            name='ProjectChecklistTask',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='Todo: ', max_length=30)),
                ('description_en', models.CharField(default='NONE', max_length=300)),
                ('description_de', models.CharField(default='NONE', max_length=300)),
                ('responsible', models.CharField(default='NONE', max_length=30)),
                ('done', models.BooleanField(default=False)),
                ('tag', models.CharField(max_length=30)),
                ('phase', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ProjectAPP.projectphase')),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ProjectAPP.project')),
                ('step', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ProjectAPP.projectstep')),
            ],
        ),
    ]
